import { PageResult, PageParams } from './common';

export interface TeachingListFilter {
  name: string;
  code: string;
  enable: boolean;
}
export type TeachingListPageParam = PageParams<TeachingListFilter>;

export interface TeachingItem {
  id: number;
  name: string;
  code: string;
  cityId: number;
  cityName: string;
  capacity: number;
  enable: boolean;
}

export type TeachingListPageRes = PageResult<TeachingItem>;

export interface TeachingUpdateParams {
  id?: number;
  name: string;
  code: string;
  cityId: number;
  capacity: number;
  enable?: boolean;
}

export interface AgentListFilter {
  teachingId: string;
  name: string;
  enable: boolean;
}
export type AgentListPageParam = PageParams<AgentListFilter>;

export interface AgentItem {
  id: number;
  name: string;
  code: string;
  address: string;
  teachingId: number;
  teachingName: string;
  capacity: number;
  guide: string;
  enable: boolean;
}

export type AgentListPageRes = PageResult<AgentItem>;

export interface AgentUpdateParams {
  id?: number;
  name: string;
  code: string;
  address: string;
  teachingId: number;
  guide: string;
  enable?: boolean;
}
